Subject: Re: [PATCH] Change 'Deltifying objects' to 'Delta compressing objects'

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 18 Oct 2007 23:45:01 -0400

Nicolas Pitre <[email-masked]> wrote:
> On Thu, 18 Oct 2007, Shawn O. Pearce wrote:
> > Yup.  Your patches were a big improvement.  But I'm now sitting here
> > wondering if we shouldn't just allow a progress meter to overwrite
> > the prior one.  Then you only see the current task and progress,
> > or the final output if we have nothing further to say about that.
> 
> And then you've lost some diagnostic clue (the absolute numbers) about 
> the actual number of objects that were listed for "deltification" for 
> example.

Leave the "Total" line.  Add to it the number of objects we had to
consider for deltification as part of the packing.
 
> And imagine that you see the progress moving slowly because the remote 
> server is a NSLU2, but it says 80%.  Then you go for a coffee and the 
> progress says 20% when you return because it now has moved to a 
> different phase.  Rather counter intuitive.

Yea, I didn't consider that.  That's where you need to show the
number of steps and which one you are on, so the meter looks
more like:

	Step 1/3: Counting objects: .... \r
	Step 2/4: Compressing objects: ... \r
	Step 3/3: Writing objects: .... \r

only all smashed into one line of course, so only the most recent
one is being displayed.

-- 
Shawn.